library json.sha1.hash;

import 'dart:convert';
import 'package:crypto/crypto.dart';

// SHA-1 hash of normalised model json
// TODO: Normalise model
String createJsonHashTag(dynamic model) => createHash(JSON.encode(model));

String createHash(String str) {
  final sha1 = new SHA1();
  sha1.add(str.codeUnits);
  final hashBytes = sha1.close();
  final hash = CryptoUtils.bytesToBase64(hashBytes, urlSafe: true);
  //  print('hash is $hash');
  return hash;
}
